<template>
  <!-- 项目管理 项目详细 -->
    <div class="ProjectManagement2">
      <div class="vfpHeader">
      <!-- 详情页 -->
        <div class="titleOne">项目管理</div>
        <div class="smallTitle" style="left: 100px;">项目进展详情</div>
        <el-button type="primary" @click="back">返回</el-button>
    </div>
      <hr>

    <!-- 跳转导航开始 -->
    <div class="AppBar">
      <div @click="content">项目基本内容</div>
      <div @click="remark" class="AppBarActive">项目详情</div>
      <div @click="remark2">活动开展</div>
      <div @click="remark4">项目附件</div>
      <div @click="remark5">项目结题附件</div>
    </div>
    <!-- 跳转导航结束 -->
     
      <div class="PA2textArea">
        <div class="PA2textAreaTit">项目创新点</div>
        <vue-editor  :editorToolbar="customToolbar" v-model="data[0][0]"></vue-editor>
       
      </div>
      <div class="PA2mid">
        预期取得成果
      </div>
      
      <div class="PA2textArea">
        <div class="PA2textAreaTit PA2textAreaTit2">一、项目预期成果、数量及形式</div>
        <vue-editor  :editorToolbar="customToolbar" v-model="data[0][1]"></vue-editor>
        
      </div>
      <div class="PA2textArea">
        <div class="PA2textAreaTit PA2textAreaTit2">二、创客人才培养预期成果、数量</div>
        <vue-editor  :editorToolbar="customToolbar" v-model="data[0][2]"></vue-editor>
       
      </div>
      <div class="PA2textArea">
        <div class="PA2textAreaTit PA2textAreaTit2">三、项目预期孵化、转化创业项目情况</div>
        <vue-editor  :editorToolbar="customToolbar" v-model="data[0][3]"></vue-editor>
       
      </div>
      <div class="PA2textArea">
        <div class="PA2textAreaTit">项目实施计划</div>
        <vue-editor  :editorToolbar="customToolbar" v-model="data[0][4]"></vue-editor>
       
      </div>
      <!-- <div class="baseBtn">
        <div class="blockWidth">
          <el-button type="primary" class="backBtn" @click="backBtn2">返回</el-button>
        </div>
      </div> -->
  
    </div>
  </template>
  
  <script>
import { VueEditor } from "vue2-editor";

      export default {
        components:{
          VueEditor
        },
        data() {
          return {
            data:[["","","","",""],[]],
            submitHint:false,
            customToolbar: [
              ["bold", "italic", "underline"], [{ list: "ordered" }, { list: "bullet" }],
              [{ align: "" }, { align: "center" }, { align: "right"}, { align: "justify"}],
              [{header:[false,1,2,3,4]}]
            ],
          }
        },
        methods:{
          getData(){   //初始化完成获取基本数据进行填充
            let param={
              uid:this.$store.state.userInfo.userid,
              pid:JSON.parse(localStorage.getItem('pid'))
            }
              this.ajax
                    .get(this.$store.state.api+'/GetProjectDetailMessage',param)
                    .then(res=>{
                      // console.log(res)
                      let GetData=JSON.parse(res.data[0][0].chapters)
                      // console.log(GetData)
                      this.data=GetData
                      // console.log(this.data);
                    },err=>{
                      console.log(err);
                    })
          },
          content(){
            this.$router.push('/ProjectManagement1')
          },
          remark(){
            this.$router.push('/ProjectManagement2')
          },
          remark2(){
            this.$router.push('/ProjectManagement3')
          },
          remark4(){
            this.$router.push('/ProjectManagement4')
          },
           remark5(){
            this.$router.push('/ProjectManagement5')
          },
          edit(){
  
          },
          // backBtn2(){
          //   this.$router.push('/ProjectManagement1')
          // },
          handleSelectionChange(val) {
            this.multipleSelection = val;
          },
          back(){
            this.$router.push('/ProjectManagement')
          },
        },
        created(){
          this.getData();
        }
      }
  </script>
  
  <style lang="less">
  .ProjectManagement2{


    .PA2textArea{
        margin: 15px 0px;
        .PA2textAreaTit{
            width: 100%;
            text-align: left;
            font-size: 18px;
            font-weight: 550;
            margin-bottom: 15px;
            color: #2387ff;
        }
        .PA2textAreaTit2{
            font-size: 16px;
        }
    }
    
    .PA2mid{
        margin: 15px 0px;
        width: 100%;
        text-align: left;
        font-size: 18px;
        font-weight: 550;
        margin-bottom: 10px;
        color: #2387ff;
    }
    .homePage .homeBody .main[data-v-7eb2bc79]{
      text-align: left !important;
    }
  }
  </style>